import request from '@/utils/request'

// 查询重点项目数据							 列表
export function listIMPORTANTPROJECT(query) {
  return request({
    url: '/business/IMPORTANTPROJECT/list',
    method: 'get',
    params: query
  })
}

// 查询重点项目数据							 所有列表
export function listAllIMPORTANTPROJECT(query) {
  return request({
    url: '/business/IMPORTANTPROJECT/listAll',
    method: 'get',
    params: query
  })
}

// 查询重点项目数据							 详细
export function getIMPORTANTPROJECT(id) {
  return request({
    url: '/business/IMPORTANTPROJECT/getInfo/' + id,
    method: 'get'
  })
}

// 新增重点项目数据							 
export function addIMPORTANTPROJECT(data) {
  return request({
    url: '/business/IMPORTANTPROJECT/add',
    method: 'post',
    data: data
  })
}

// 修改重点项目数据							 
export function updateIMPORTANTPROJECT(data) {
  return request({
    url: '/business/IMPORTANTPROJECT/edit',
    method: 'post',
    data: data
  })
}

// 删除重点项目数据							 
export function delIMPORTANTPROJECT(id) {
  return request({
    url: '/business/IMPORTANTPROJECT/remove/' + id,
    method: 'get'
  })
}
